Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163144 - RPM may incorrectly brings in the /usr/local directory during configure
Summary: RPM may incorrectly brings in the /usr/local directory during configure
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 14:23 UTC by Mark Hatle
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-25 21:56:04 UTC


Attachments (Terms of Use)
Remove /usr/local behavior (deleted)
2005-07-13 14:23 UTC, Mark Hatle
no flags Details | Diff

Description Mark Hatle 2005-07-13 14:23:42 UTC
Description of problem:
RPM can incorrectly pull in libraries and include files during configuration
from /usr/local.  (In a normal environment, if /usr/local is to be used for
files these are usually passed in to configure.)

Version-Release number of selected component (if applicable):
RPM-4.4.2

Additional info:

The code in question is in the configure.ac file, it starts w/ "localdone=" and
ends just before the "AC_MSG_CHECKING(for /usr/ucblib in LIBS)".

The attached patch removes this behavior.  (We have been using this patch since
RPM-4.3.)

Comment 1 Mark Hatle 2005-07-13 14:23:42 UTC
Created attachment 116709 [details]
Remove /usr/local behavior

Comment 2 Jeff Johnson 2005-10-25 21:56:04 UTC
The patch is a bit more drastic than necessary. All that is needed is to
not add "/usr/local" to $dirs. That way $prefix is still searched, and /usr/local
will be searched if that is the prefix.

Fixed in rpm-4.4.3-0.23.


Note You need to log in before you can comment on or make changes to this bug.